## jcgui 0.7

=== wscript ===
#! /usr/bin/env python
# encoding: utf-8

import os
import Utils
import Options
import commands
g_maxlen = 40
import shutil
import re
import Logs

# used by waf dist and waf build
VERSION='0.7'
APPNAME='Jc_Gui'

# these variables are mandatory ('/' are converted automatically)
srcdir = '.'
blddir = 'build'

# options defined for waf configure
def set_options(opt):
    opt.tool_options('compiler_cxx')

    opt.add_option('--cxxflags', 
                   type='string', 
                   default='-O3  -march=native -Wall', 
                   dest='cxxflags', 
                   help='C++ compiler flags [Default: -O3  -march=native -Wall]')

# a bit of waf display formatting
def display_msg(msg, status = None, color = None):
    sr = msg
    global g_maxlen
    g_maxlen = max(g_maxlen, len(msg))
    if status:
        print "%s :" % msg.ljust(g_maxlen),
        Utils.pprint(color, status)
    else:
        print "%s" % msg.ljust(g_maxlen)

def error_msg(msg):
    Utils.pprint('RED', msg)

def display_feature(msg, build):
    if build:
        display_msg(msg, "yes", 'GREEN')
    else:
        display_msg(msg, "no", 'YELLOW')

# guitarix waf configuration
def configure(conf):
    conf.check_tool('compiler_cxx')

    conf.check_cfg(package='jack', atleast_version='0.109.1', args='--cflags --libs', uselib_store='JACK', mandatory=1)
    conf.check_cfg(package='sndfile', atleast_version='1.0.17', args='--cflags --libs', uselib_store='SNDFILE', mandatory=1)
    conf.check_cfg(package='gtk+-2.0', atleast_version='2.12.0', args='--cflags --libs', uselib_store='GTK2', mandatory=1)
   
    conf.env['SHAREDIR'] = conf.env['PREFIX'] + '/share'

    # defines for compilation
    conf.define('GX_STYLE_DIR', os.path.normpath(os.path.join(conf.env['SHAREDIR'], 'Jc_Gui')))
    conf.define('GX_PIXMAPS_DIR', os.path.normpath(os.path.join(conf.env['SHAREDIR'], 'pixmaps')))
    conf.define('GX_VERSION', VERSION)

    # writing config.h
    conf.write_config_header('config.h')

    conf.define('BINDIR', os.path.normpath(os.path.join(conf.env['PREFIX'], 'bin')))
    conf.define('DESKAPPS_DIR', os.path.normpath(os.path.join(conf.env['SHAREDIR'], 'applications')))
    conf.define('BIN_NAME', APPNAME)
    conf.define('CXXFLAGS', Options.options.cxxflags)

    # config subdirs
    conf.sub_config('src');
 
    # some output
    print
    display_msg("==================")
    version_msg = "Jc_Gui " + VERSION

    print version_msg

    print

    display_msg("C++ flags", conf.env['CXXFLAGS'], 'CYAN')
    display_msg("Install prefix", conf.env['PREFIX'], 'CYAN')
    display_msg("Install binary", conf.env['BINDIR'], 'CYAN')
    display_msg("Jc_Gui share directory", conf.env['GX_STYLE_DIR'], 'CYAN')
    display_msg("Jc_Gui pixmaps directory", conf.env['GX_PIXMAPS_DIR'], 'CYAN')

    print

def build(bld):
    # process subfolders from here
    #bld.add_subdirs('ladspa')
    bld.add_subdirs('src')
    bld.add_subdirs('pixmaps')

    bld.install_files(bld.env['DESKAPPS_DIR'], 'Jc_Gui.desktop', chmod=0644)

=== pixmaps/wscript ===
#!/usr/bin/env python
# encoding: utf-8

import Build

# start each filename with a space
pixmap_files  = ''
pixmap_files += ' Jc_Gui.png'
pixmap_files += ' Jc_Gui-warn.png'
pixmap_files += ' gxjc_on.png'
pixmap_files += ' gxjc_off.png'  
pixmap_files += ' jc_on.png'
pixmap_files += ' jc_off.png'  


def configure(conf):
    pass

def build(bld):
    bld.install_files(bld.env['GX_PIXMAPS_DIR'], pixmap_files, chmod=0644)

=== src/wscript ===
#! /usr/bin/env python
# encoding: utf-8

def configure(conf):
    pass

def build(bld):
    sources = [
        'gx_globals.cpp',
        'gx_child_process.cpp',
        'gx_engine.cpp',
        'gx_main_interface.cpp',
        'gx_gui_helpers.cpp',
        'gx_jack.cpp',
        'gx_jconv_settings.cpp',
        'gx_preset.cpp',
        'gx_sndfile.cpp',
        'gx_system.cpp',
        'gx_ui.cpp',
        'GtkFastMeter.cpp',
        'GtkRegler.cpp',
        'GtkWaveView.cpp',
        'gx_main.cpp'
        ]

    prog = bld.new_task_gen('cxx', 'program')
    prog.includes = './headers'
    prog.cxxflags= bld.env['CXXFLAGS']
    prog.source = [] + sources
    prog.uselib = ['JACK', 'SNDFILE', 'GTK2']
    prog.target = bld.env['BIN_NAME']
    prog.chmod=0755
    prog.install_path = bld.env['BINDIR']

=== debian/changelog ===
jcgui (0.7-1) unstable; urgency=low

  * Initial release (Closes: #562174).

 -- Alessio Treglia <alessio@debian.org>  Sun, 20 Jun 2010 19:08:35 +0200

=== debian/control ===
Source: jcgui
Section: sound
Priority: optional
Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders: Alessio Treglia <alessio@debian.org>,
 Jaromír Mikeš <mira.mikes@seznam.cz>
Build-Depends: debhelper (>= 7.0.50~),
 python,
 libjack-dev,
 libsndfile1-dev,
 libgtk2.0-dev             
Standards-Version: 3.8.4
DM-Upload-Allowed: yes
Vcs-Git: git://git.debian.org/git/pkg-multimedia/jcgui.git
Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jcgui.git
Homepage: http://jcgui.sourceforge.net/

Package: jcgui
Architecture: any
Depends: ${shlibs:Depends},
 jconvolver,
 ${misc:Depends}
Description: a simple Host wrap around jconvolver/jconv
 Frontend for jconvolver/jconv (convolve engine)
 .
 This utility allow you control most important parameters of
 jconvolver/jconv from GUI and also store and recall presets.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

WAF = ./waf

%:
	dh $@

override_dh_auto_configure:
	$(WAF) configure   --prefix=/usr --cxxflags="$(CXXFLAGS)"

override_dh_auto_build:
	$(WAF)

override_dh_auto_clean:
	$(WAF) distclean
	dh_auto_clean

override_dh_auto_install:
	$(WAF) install --destdir=$(CURDIR)/debian/jcgui

=== debian/watch ===
# Site		Directory	Pattern		Version	Script
version=3

http://sf.net/jcgui/jcgui-([\d.]+)-nopkg\.tar\.bz2

## jcgui 0.7+dfsg0

=== debian/changelog ===
jcgui (0.7+dfsg0-1) unstable; urgency=low

  * Repack upstream tarball to get rid of the 'waf' blob (Closes: #654479).
  * Add debian/unpack_waf.sh script.
  * debian/watch:
    - Fix tarball's URL.
    - Mangle Debian's versioning.
  * debian/rules:
    - Provide a mechanism to re-generate a DFSG-clean tarball.
    - Prune *.pyc files.
  * debian/control:
    - Bump Standards.
    - Package description should not start with an article.
  * Update debian/copyright.

 -- Alessio Treglia <alessio@debian.org>  Tue, 10 Jan 2012 13:13:39 +0100

jcgui (0.7-2) unstable; urgency=low

  * Bump standards.
  * Copyright file upgraded to DEP-5 rev.162.
  * sign-tags added to gbp.conf.
  * local-option file added to unapply patches.
  * Fix "wet/dry" slider description.
  * Change eq knobs order according to more usual audio standard.

 -- Jaromír Mikeš <mira.mikes@seznam.cz>  Fri, 28 Jan 2011 15:33:32 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libjack-dev,
  libsndfile1-dev,
  libgtk2.0-dev             
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 DM-Upload-Allowed: yes
 Vcs-Git: git://git.debian.org/git/pkg-multimedia/jcgui.git
 Vcs-Browser: http://git.debian.org/?p=pkg-multimedia/jcgui.git
@@ -20,7 +20,7 @@
 Depends: ${shlibs:Depends},
  jconvolver,
  ${misc:Depends}
-Description: a simple Host wrap around jconvolver/jconv
+Description: simple Host wrap around jconvolver/jconv
  Frontend for jconvolver/jconv (convolve engine)
  .
  This utility allow you control most important parameters of

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,10 @@
 # -*- makefile -*-
 
 WAF = ./waf
+
+upstream_version ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+)(\.dfsg)?.*$$/\1/p')
+dfsg_version = $(upstream_version)+dfsg0
+pkg = $(shell dpkg-parsechangelog | sed -ne 's/^Source: //p')
 
 %:
 	dh $@
@@ -14,7 +18,18 @@
 
 override_dh_auto_clean:
 	$(WAF) distclean
+	find -name "*.pyc" -delete
 	dh_auto_clean
 
 override_dh_auto_install:
 	$(WAF) install --destdir=$(CURDIR)/debian/jcgui
+
+get-orig-source:
+	uscan --noconf --force-download --rename --repack \
+		--download-current-version --destdir=.
+	tar -xzf $(pkg)_$(upstream_version).orig.tar.gz
+	mv $(pkg)-$(upstream_version) $(pkg)-$(dfsg_version)
+	cd $(pkg)-$(dfsg_version) && ../debian/unpack_waf.sh && cd ..
+	GZIP="-9fn --rsyncable" tar -czf $(pkg)_$(dfsg_version).orig.tar.gz $(pkg)-$(dfsg_version)
+	rm -rf $(pkg)-$(dfsg_version)
+	rm -f $(pkg)_$(upstream_version).orig.tar.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/[+.~]dfsg\d*// \
http://sf.net/jcgui/jcgui-([\d.]+)\.tar\.bz2
